#!/bin/bash

sleep 5;
screenshot_dir="$HOME/Screenshots"
timestamp=$(date +"%Y-%m-%d-%H-%M-%S")
screenshot_file="$screenshot_dir/screenshot_$timestamp.png"

# Function to take screenshot
take_screenshot() {
    /usr/bin/grim "$screenshot_file"
~/.local/bin/pastebin_client.sh upload "$screenshot_file" yes | /usr/bin/wl-copy
}

take_screenshot

